Skip to content

Host Profile Move

Request

Functionality to move client profile information into the Reservation workbench.

Security
bearerAuth
Path
identifierstring, <= 128 charactersrequired

The ReservationWorkbench Identifier you wish to move the client profile to

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
Headers
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TraceIdstring, [ 10 .. 89 ] characters(^[a-zA-Z-0-9_]*[-]?[+]?$)

Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired
ClientProfileMoveHeaderModifiersobject(ClientProfileMoveHeaderModifiers)required

Select which headers should be moved for this client profile.

ClientProfileMoveLineModifiersArray of objects(ClientProfileMoveLineModifiers)
ClientProfileMoveTravelerFlightModifiersArray of objects(ClientProfileMoveTravelerFlightModifiers)
curl -i -X PUT \
  https://api.pp.travelport.net/11/air/book/profile/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/clientprofile \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "ClientProfileMoveHeaderModifiers": {
      "BusinessTitle": "ABCCORP",
      "PersonalTitle": "SMITH/J",
      "MultipleIndicator": true,
      "SelectIndicator": true,
      "MergeIndicator": true,
      "RelatedMoveIndicator": "Y",
      "ProfilePCC": "string"
    },
    "ClientProfileMoveLineModifiers": [
      {
        "LineNumber": 3,
        "AppendedData": "15MAY"
      }
    ],
    "ClientProfileMoveTravelerFlightModifiers": [
      {
        "TravelerRef": "t1",
        "FlightRef": "s1"
      }
    ]
  }'

Responses

No Content - Success.

Response
No content